function [hl vp vs dn] = gen_vel_mod(cfg)

% SEDIMENT PART
znum = cfg.S.nlay;
ztop = 1;
zbot = cfg.S.zdepth;

% P proflie
vtop = cfg.S.vptopp;
vbot = cfg.S.vpbott;
aval = cfg.S.vpaval;
bval = cfg.S.vpbval;

[shp svp] = inv_gen_grad(znum,ztop,zbot,vtop,vbot,aval,bval);

% S profile
vtop = cfg.S.vstopp;
vbot = cfg.S.vsbott;
aval = cfg.S.vsaval;
bval = cfg.S.vsbval;

[shs svs] = inv_gen_grad(znum,ztop,zbot,vtop,vbot,aval,bval);

% BEDROCK PART
znum = cfg.B.nlay;
ztop = 1;
zbot = cfg.B.zbot;

% S profile
vtop = svs(end);
vbot = cfg.B.vsbott;

if (cfg.B.prtype)
  rhs = zbot;
  rvs = vbot;
else
  aval = cfg.B.vsaval;
  bval = cfg.B.vabval;
  [rhs rvs] = ga_gen_grad(znum,ztop,zbot,vtop,vbot,aval,bval);
end

% Poisson Ratio
poss = cfg.B.poissn;

% P proflie
vtop = svp(end);
vbot = rvs(end)*sqrt(2*(poss-1)/(2*poss-1));

if (cfg.B.prtype)
  rhp = zbot;
  rvp = vbot;
else
  aval = cfg.B.vpaval;
  bval = cfg.B.vpbval;
  [rhp rvp] = ga_gen_grad(znum,ztop,zbot,vtop,vbot,aval,bval);
end

% Thickness profile
hl = [shs rhs];

% Velocity profile
vp = [svp rvp];
vs = [svs rvs];

% Density profile (constant)
dn = 2000*ones(1,length(hl));

return;
