function par = ga_gen_par (dat,cfg)

%-----------------------------------
% Setup layer depth

switch cfg.gtyp
case 'log'
  zmin = log10(cfg.ztop);
  zmax = log10(cfg.zbot);
  znum = cfg.nlay;
  par.zdep = logspace(zmin,zmax,znum);
case 'lin'
  zmin = cfg.ztop;
  zmax = cfg.zbot;
  znum = cfg.nlay;
  par.zdep = linspace(zmin,zmax,znum);
end

%-----------------------------------
% Setup layer thickness

par.thck(1) = par.zdep(1);
for nl = 2:znum
  par.thck(nl) = par.zdep(nl)-par.zdep(nl-1);
end

%-----------------------------------
% Density profile

par.dn = cfg.sdns*ones(1,znum);

%-----------------------------------
% % GA parameters
par.nvar = 3;
par.lb = [cfg.zbnd(1) cfg.sbnd(1) cfg.poss(1)];
par.ub = [cfg.zbnd(2) cfg.sbnd(2) cfg.poss(2)];

return;

