function cfg = ga_read_cfg (fid)

%-----------------------------------
% Read configuration file

while ~feof(fid)

  % Import configration
  line = fgetl(fid);
  arg = strread(line,'%s',1);

  switch char(arg)
  %-----------------------------------
  % Search settings
  case 'TLIM'
    arg = strread(line,'%s',2);
    cfg.tlim = str2num(char(arg(2)));
  %-----------------------------------
  % Plot switch
  case 'PLOT'
    arg = strread(line,'%s',2);
    cfg.plot = str2num(char(arg(2)));
  %-----------------------------------
  % Sediment section
  case 'NLAY'
    arg = strread(line,'%s',2);
    cfg.nlay = str2num(char(arg(2)));
  case 'ZTOP'
    arg = strread(line,'%s',2);
    cfg.ztop = str2num(char(arg(2)));
  case 'ZBOT'
    arg = strread(line,'%s',2);
    cfg.zbot = str2num(char(arg(2)));
  case 'GTYP'
    arg = strread(line,'%s',2);
    cfg.gtyp = char(arg(2));
  case 'PVEL'
    arg = strread(line,'%s',3);
    cfg.pvel(1) = str2num(char(arg(2)));
    cfg.pvel(2) = str2num(char(arg(3)));
  case 'PPAR'
    arg = strread(line,'%s',3);
    cfg.ppar(1) = str2num(char(arg(2)));
    cfg.ppar(2) = str2num(char(arg(3)));
  case 'SVEL'
    arg = strread(line,'%s',3);
    cfg.svel(1) = str2num(char(arg(2)));
    cfg.svel(2) = str2num(char(arg(3)));
  case 'SPAR'
    arg = strread(line,'%s',3);
    cfg.spar(1) = str2num(char(arg(2)));
    cfg.spar(2) = str2num(char(arg(3)));
  case 'SDNS'
    arg = strread(line,'%s',2);
    cfg.sdns = str2num(char(arg(2)));
  %-----------------------------------
  % Top-layer
  case 'TLCK'
    arg = strread(line,'%s',2);
    cfg.tlck = char(arg(2));
  case 'TLHL'
    arg = strread(line,'%s',2);
    cfg.tlhl = str2num(char(arg(2)));
  case 'TLVP'
    arg = strread(line,'%s',2);
    cfg.tlvp = str2num(char(arg(2)));
  case 'TLVS'
    arg = strread(line,'%s',2);
    cfg.tlvs = str2num(char(arg(2)));
  case 'TLDN'
    arg = strread(line,'%s',2);
    cfg.tldn = str2num(char(arg(2)));
  %-----------------------------------
  % Rock section
  case 'ZBND'
    arg = strread(line,'%s',3);
    cfg.zbnd(1) = str2num(char(arg(2)));
    cfg.zbnd(2) = str2num(char(arg(3)));
  case 'SBND'
    arg = strread(line,'%s',3);
    cfg.sbnd(1) = str2num(char(arg(2)));
    cfg.sbnd(2) = str2num(char(arg(3)));
  case 'POSS'
    arg = strread(line,'%s',3);
    cfg.poss(1) = str2num(char(arg(2)));
    cfg.poss(2) = str2num(char(arg(3)));
  case 'RDNS'
    arg = strread(line,'%s',2);
    cfg.rdns = str2num(char(arg(2)));
  %-----------------------------------
  % Data part
  case 'ELFL'
    arg = strread(line,'%s',2);
    cfg.elfl = char(arg(2));
  case 'ELCK'
    arg = strread(line,'%s',3);
    cfg.elck = str2num(char(arg(2)));
    cfg.elwg = str2num(char(arg(3)));
  case 'F0CK'
    arg = strread(line,'%s',3);
    cfg.f0ck = str2num(char(arg(2)));
    cfg.f0wg = str2num(char(arg(3)));
  %-----------------------------------
  % Output
  case 'OUTF'
    arg = strread(line,'%s',2);
    cfg.outf = char(arg(2));
  end

end

return;
